## org.apache.lucene.analysis.de
Class GermanLightStemmer

    java.lang.Object
      org.apache.lucene.analysis.de.GermanLightStemmer

    public class GermanLightStemmer

extends Object

Light Stemmer for German.

This stemmer implements the "UniNE" algorithm in: Light Stemming Approaches for the French, Portuguese, German and Hungarian Languages Jacques Savoy

Constructor Summary
`GermanLightStemmer()`

Method Summary
`int` `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GermanLightStemmer

    public GermanLightStemmer()

Method Detail

### stem

    public int stem(char[] s,
                    int len)